# $Id: smeserver-hylafax.spec,v 1.7 2021/11/02 09:52:38 brianr Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-hylafax
%define version 0.9
%define release 15
Summary: Set up hylafax for sending and receiving facsimiles.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.hylafax.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-hylafax-0.9-6.symlink.patch
Patch2: smeserver-hylafax-0.9.sme9.patch
Patch3: smeserver-hylafax-0.9-Take-out-initd-calls-in-createlinks-file.patch
Patch4: smeserver-hylafax-0.9-Add-Update-event-to-createlinks.patch
#Patch5: smeserver-hylafax-0.9-Add-restart-event-without-conf-expand.patch - reverse out Release 12
Patch5: smeserver-hylafax-0.9-Add-mailfax-change-from-wiki-and-faxsetup-conf-additions.patch
Patch6: smeserver-hylafax-0.9-Add-FaxDispatch-config.patch

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires:  e-smith-release >= 7.1
Requires:  hylafax >= 4.3
AutoReqProv: no

%description
HylaFAX is an enterprise-class system for sending and receiving facsimiles

%changelog
* Tue Nov 02 2021 Brian Read <brianr@bjsystems.co.uk> 0.9-15.sme
- Add FaxDispatch confif file [SME: 11269]

* Fri Oct 15 2021 Brian Read <brianr@bjsystems.co.uk> 0.9-14.sme
- Add conf fragment for faxsetup fonts [SME: 11269]
- Edit in Mailfax changes from wiki


* Fri Oct 15 2021 Brian Read <brianr@bjsystems.co.uk> 0.9-13.sme
- Reverse out release 12 changes. [SME: 11269]

* Wed Oct 13 2021 Brian Read <brianr@bjsystems.co.uk> 0.9-12.sme
- Add restart event without conf expand as faxsetup writes to it [SME: 11269]

* Mon Oct 11 2021 Brian Read <brianr@bjsystems.co.uk> 0.9-11.sme
- Add-Update-event-to-createlinks.patch [SME: 11269]

* Fri Dec 18 2020 Brian Read <brianr@bjsystems.co.uk> 0.9-10.sme
- Initial import to SME10 [SME:11269 ]
- Take-out-initd-calls-in-createlinks-file

* Wed May 04 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.9-9.sme
- fix permission problem on xferfaxlog [SME: 7828]
- r9: avoid xferfaxlog from being replaced on update

* Tue May 03 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.9-7.sme
- fix hylafax does not start on SME9 [SME: 9485]
- thank to bunkobugsy for reporting and providing the solution

* Wed Sep 12 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.9-6
- Patch to move the files that were being copied to
  /etc/hylafax/etx to var/spool/hylafax/etc/ so that
  a yum install will install all RPM's without any errors
- Modify spec file to change directory where the permissions
  are applied to for mailfax

* Thu Jul 05 2007 Stephen Noble <support@dungog.net>
- Build on lordsfam

* Mon Jun 11 2007 Stephen Noble <support@dungog.net> 0.9-5
- mimetype/application/pdf fixed [SME: 3000]
- FaxNotify fixed [SME: 3000]
- if (status eq disabled) hylafax is removed from inittab

* Wed Feb 28 2007 Stephen Noble <support@dungog.net> 0.9-4
- rename to /var/spool/hylafax/mimetype/image/tiff
- touch /var/spool/hylafax/etc/xferfaxlog

* Wed Feb 14 2007 Stephen Noble <support@dungog.net> 0.9-3
- FaxSender user added

* Sun Feb 11 2007 Stephen Noble <support@dungog.net> 0.9-2
- FaxNotify added, virtualdomains altered

* Sat Feb 10 2007 Stephen Noble <support@dungog.net> 0.9-1
- initial release

%prep
%setup

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1 - Reverse out release 12 changes.
%patch5 -p1
%patch6 -p1


%build
perl createlinks

mkdir -p          root/etc/e-smith/db/configuration/defaults/hylafax
echo "service"  > root/etc/e-smith/db/configuration/defaults/hylafax/type
echo "enabled"  > root/etc/e-smith/db/configuration/defaults/hylafax/status
echo "ttyS0"    > root/etc/e-smith/db/configuration/defaults/hylafax/port
#/bin/touch 	  root/var/spool/hylafax/etc/xferfaxlog

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     --file '/var/spool/hylafax/mimetype/application/pdf' 'attr(0755,root,root)' \
     --file '/var/spool/hylafax/mimetype/application/ps' 'attr(0755,root,root)' \
     --file '/var/spool/hylafax/mimetype/image/tiff' 'attr(0755,root,root)' \
     --file '/var/spool/hylafax/etc/mailfax' 'attr(0755,root,root)' \
     --ignoredir '/var/spool/hylafax' \
     --ignoredir '/var/spool/hylafax/etc' \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun
%post
# remarq as this should not be here
#/sbin/e-smith/expand-template /etc/hylafax/hyla.conf
#/sbin/e-smith/expand-template /etc/init/ttyS0.conf
#/bin/rm -f /etc/cron.daily/hylafax
#/bin/touch /var/spool/hylafax/etc/xferfaxlog
echo "*****************************************"
echo "*  See http://wiki.contribs.org/HylaFax  *"
echo "*  Remember to run /usr/sbin/faxsetup    *"
echo "*****************************************"

%postun
#/sbin/e-smith/expand-template /etc/inittab
#/sbin/init q

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
